/* This file is part of the KDE project
Copyright (C) 2003   Lucijan Busch <lucijan@gmx.at>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public License
along with this program; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
*/

#include <stdlib.h>

#include <qmessagebox.h>
#include <qfile.h>

#include "kexiqsaclasses.h"

KexiQSAClasses::KexiQSAClasses(QSInterpreter *i)
:QSObjectFactory(i)
{
}

QObject*
KexiQSAClasses::create(const QString &className, const QSArgumentList &arguments, QObject *context)
{
	if(className == "Sys")
	{
		return new Sys(0, "system");
	}
}

QStringList
KexiQSAClasses::classes() const
{
	QStringList c;
//	c.append("MessageBox");
	c.append("Sys");
	return c;
}

KexiQSAClasses::~KexiQSAClasses()
{
}


//helper classes

Sys::Sys(QObject *parent, const char *name)
 : QObject(parent, name)
{
}

int
Sys::run(const QString &cmd)
{
	return system(cmd.latin1());
}

#include "kexiqsaclasses.moc"
